Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.verisign.epp.codec.defReg
Class EPPDefRegCheckResult

    java.lang.Object
      com.verisign.epp.codec.defReg.EPPDefRegCheckResult

All Implemented Interfaces:
  EPPCodecComponent, java.io.Serializable, java.lang.Cloneable

    public class EPPDefRegCheckResult

extends java.lang.Object
implements EPPCodecComponent

`EPPDomainCheckResult` represents the result of an individual defReg name ping. The attributes of `EPPDomainCheckResult` include the defReg name and attributes namely level which is either "premium" or "standard" and boolean value indicating if the defReg name is already available. `defReg reason` must be set before invoking `encode` if the available flag is set to `false`.

Version:
  $Revision: 1.2 $
Author:
  $Author: jim $
See Also:
  `EPPDefRegCheckResp`, Serialized Form

Constructor Summary
`EPPDefRegCheckResult()` Default constructor for `EPPDefRegCheckResult`.
`EPPDefRegCheckResult(java.lang.String aName, java.lang.String aLevel, boolean aIsAvailable)` Constructor for `EPPDefRegCheckResult` that includes the defReg name and the is available flag.

Method Summary
`java.lang.Object` | `clone()` Clone `EPPDefRegCheckResult`.
`void` | `decode(org.w3c.dom.Element aElement)` Decode the `EPPDefRegCheckResult` attributes from the aElement DOM Element tree.
`org.w3c.dom.Element` | `encode(org.w3c.dom.Document aDocument)` Encode a DOM Element tree from the attributes of the `EPPDefRegCheckResult` instance.
`boolean` | `equals(java.lang.Object aObject)` Compare an instance of `EPPDefRegPingResp` with this instance.
`java.lang.String` | `getDefRegReason()` Gets defReg reason.
`java.lang.String` | `getLanguage()` Sets defReg reason to check.
`java.lang.String` | `getLevel()` Gets the defReg level associated with the result.
`java.lang.String` | `getName()` Gets the defReg name associated with the result.
`boolean` | `isAvailable()` Gets if the defReg associated with `EPPDomainCheckResult` is available.
`void` | `setDefRegReason(java.lang.String aReason)` Sets defReg reason.
`void` | `setIsAvailable(boolean aIsAvailable)` Sets if the defReg associated with `EPPDefRegCheckResult` is available.
`void` | `setLanguage(java.lang.String aLang)` Sets language attribute.
`void` | `setLevel(java.lang.String aLevel)` Sets the defReg level associated with the result.
`void` | `setName(java.lang.String aName)` Sets the defReg name associated with the result.
`java.lang.String` | `toString()` Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.
`void` | `validate()` Validate the state of the `EPPDefRegCreateCmd` instance.

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EPPDefRegCheckResult

    public EPPDefRegCheckResult()

  Default constructor for `EPPDefRegCheckResult`. the defaults include the following:
  - name is set to `null`
  - level is set to `null`
  - available is set to `true`
  The name must be set before invoking `encode`.

### EPPDefRegCheckResult

    public EPPDefRegCheckResult(java.lang.String aName,
                                java.lang.String aLevel,
                                boolean aIsAvailable)

  Constructor for `EPPDefRegCheckResult` that includes the defReg name and the is available flag.

  Parameters:
    `aName` - DefReg name associated with result
    `aLevel` - DefReg level associated with result, which should be either `EPPDefRegName.LEVEL_STANDARD` or `EPPDefRegName.LEVEL_STANDARD`.
    `aIsAvailable` - Is the defReg name available?

Method Detail

### getName

    public java.lang.String getName()

  Gets the defReg name associated with the result.

  Returns:
    DefReg name associated with the result if defined; `null` otherwise.

### setName

    public void setName(java.lang.String aName)

  Sets the defReg name associated with the result.

  Parameters:
    `aName` - DefReg Name associated with the result.

### getLevel

    public java.lang.String getLevel()

  Gets the defReg level associated with the result. The level should be either `EPPDefRegName.LEVEL_STANDARD` or `EPPDefRegName.LEVEL_STANDARD`,

  Returns:
    DefReg level associated with the result if defined; `null` otherwise.

### setLevel

    public void setLevel(java.lang.String aLevel)

  Sets the defReg level associated with the result.

  Parameters:
    `aLevel` - DefReg Level associated with the result, which should be either `EPPDefRegName.LEVEL_STANDARD` or `EPPDefRegName.LEVEL_STANDARD`.

### isAvailable

    public boolean isAvailable()

  Gets if the defReg associated with `EPPDomainCheckResult` is available.

  Returns:
    Is the defReg available?

### setIsAvailable

    public void setIsAvailable(boolean aIsAvailable)

  Sets if the defReg associated with `EPPDefRegCheckResult` is available.

  Parameters:
    `aIsAvailable` - Is the defReg available?

### setDefRegReason

    public void setDefRegReason(java.lang.String aReason)

  Sets defReg reason.

  Parameters:
    `aReason` - DefReg Reason.

### getDefRegReason

    public java.lang.String getDefRegReason()

  Gets defReg reason.

  Returns:
    String of defReg reason.

### setLanguage

    public void setLanguage(java.lang.String aLang)

  Sets language attribute.

  Parameters:
    `aLang` - Sets defReg reason language attribute.

### getLanguage

    public java.lang.String getLanguage()

  Sets defReg reason to check.

  Returns:
    String of defReg reason language.

### validate

    public void validate()
                  throws EPPEncodeException

  Validate the state of the `EPPDefRegCreateCmd` instance. A valid state means that all of the required attributes have been set. If validateState returns without an exception, the state is valid. If the state is not valid, the `EPPCodecException` will contain a description of the error. throws EPPCodecException State error. This will contain the name of the attribute that is not valid.

  Throws:
    `EPPEncodeException` - DOCUMENT ME!

### encode

    public org.w3c.dom.Element encode(org.w3c.dom.Document aDocument)
                               throws EPPEncodeException

  Encode a DOM Element tree from the attributes of the `EPPDefRegCheckResult` instance.

  Specified by:
    `encode` in interface `EPPCodecComponent`
  Parameters:
    `aDocument` - DOM Document that is being built. Used as an Element factory.
  Returns:
    Element Root DOM Element representing the `EPPDefRegCheckResult` instance.
  Throws:
    `EPPEncodeException` - Unable to encode `EPPDefRegCheckResult` instance.

### decode

    public void decode(org.w3c.dom.Element aElement)
                throws EPPDecodeException

  Decode the `EPPDefRegCheckResult` attributes from the aElement DOM Element tree.

  Specified by:
    `decode` in interface `EPPCodecComponent`
  Parameters:
    `aElement` - Root DOM Element to decode `EPPDefRegCheckResult` from.
  Throws:
    `EPPDecodeException` - Unable to decode aElement.

### equals

    public boolean equals(java.lang.Object aObject)

  Compare an instance of `EPPDefRegPingResp` with this instance.

  Overrides:
    `equals` in class `java.lang.Object`
  Parameters:
    `aObject` - Object to compare with.
  Returns:
    DOCUMENT ME!

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  Clone `EPPDefRegCheckResult`.

  Specified by:
    `clone` in interface `EPPCodecComponent`
  Overrides:
    `clone` in class `java.lang.Object`
  Returns:
    clone of `EPPDefRegCheckResult`
  Throws:
    `java.lang.CloneNotSupportedException` - standard Object.clone exception

### toString

    public java.lang.String toString()

  Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    Indented XML `String` if successful; `ERROR` otherwise.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © VeriSign Inc. All Rights Reserved.